import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientArgsObjectSchema as PatientArgsObjectSchema } from './PatientArgs.schema'

const makeSchema = () => z.object({
  patient: z.union([z.boolean(), z.lazy(() => PatientArgsObjectSchema)]).optional()
}).strict();
export const PatientDocumentIncludeObjectSchema: z.ZodType<Prisma.PatientDocumentInclude> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentInclude>;
export const PatientDocumentIncludeObjectZodSchema = makeSchema();
